<?php
namespace Bss\ImportExportCore\Block\Adminhtml\Export\Edit\Form;

/**
 * Interceptor class for @see \Bss\ImportExportCore\Block\Adminhtml\Export\Edit\Form
 */
class Interceptor extends \Bss\ImportExportCore\Block\Adminhtml\Export\Edit\Form implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Backend\Block\Template\Context $context, \Magento\Framework\Registry $registry, \Magento\Framework\Data\FormFactory $formFactory, \Magento\ImportExport\Model\Export\Entity\Factory $entityFactory, \Magento\ImportExport\Model\Source\Export\EntityFactory $sourceEntityFactory, \Magento\ImportExport\Model\Source\Export\FormatFactory $formatFactory, \Magento\ImportExport\Model\Export\ConfigInterface $exportConfig, \Magento\Framework\AuthorizationInterface $authorization, array $data = [])
    {
        $this->___init();
        parent::__construct($context, $registry, $formFactory, $entityFactory, $sourceEntityFactory, $formatFactory, $exportConfig, $authorization, $data);
    }

    /**
     * {@inheritdoc}
     */
    public function getForm()
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getForm');
        return $pluginInfo ? $this->___callPlugins('getForm', func_get_args(), $pluginInfo) : parent::getForm();
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
